
cd "R:\Milner\Milner\regionalism book\results"
cd "chapter3\results\"

use ..\..\Data\chapter3data.dta , clear

**** SUMMARY STATISTICS

** FIGURE 1.1
#delim ;
line joinPTA_sign year if year>=1951 & year<=2004 , legend(label(1 "Countries joining PTAs") label(2 "PTAs formed per year") label(3 "Total PTAs"))|| 
  line formPTA_sign year if year>=1951 & year<=2004 , lpattern(longdash) ytitle("Number of countries/PTAs") xtitle("Year") ylabel(,angle(0)) ylabel(,angle(0) axis(2)) || 
  line  totPTA_sign year if year>=1951 & year<=2004 ,  lpattern(dash_dot)  ytitle("Total PTAs",axis(2)) yaxis(2) xlabel(1950(10)2000)  saving("../../chapter1/figure11.gph", replace)  ;
#delim cr
graph export ../../chapter1/figure11.eps
  ** FIGURE 3.1;
#delim ;
line l.demperc year if year>=1950 & year<=2004 ,  yscale(range(.1(.1)1)) ylab(.1(.1)1) ytitle("Percent") lpattern(longdash) xtitle("Year") || 
 line l.hegemony year if year>=1950 & year<=2004 ,  ytitle("Hegemony",axis(2)) yaxis(2) ylabel(,angle(0)) ylabel(,angle(0) axis(2))  || 
 line l.countryPTA_sign year if year>=1950 & year<=2004 ,  lpattern(shortdash) legend(label(3 "Hegemony") label(1 "% of Democracies") label(2 "% Countries in PTA") label(4 "Change in GWP"))  || 
 line l.dGNP year if year>=1950 & year<=2004 , ytitle("Change in GWP",axis(2)) yaxis(2) lpattern(dash_dot) saving("figure31.gph", replace)  ; 
#delim cr


** TABLE 3.1
summ formPTA_sign joinPTA_sign l.hege l.lntotPTA l.lntotPTA_2 l.totPTA_sign l.lnctyperc l.lnctyperc_2 l.countryPTA_sign l.dGNP l.demperc_orig postcw l.no_ctys_orig if  year>=1952 & year<=2004


** TABLE 3.2: PTA FORMATION: # of countries
* Column 1
nbreg formPTA_sign l.hege l.lntotPTA l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig postcw if year>=1951 & year<=2005 ,r
est store jcr_32_1

* Column 2 : Omitting Cold War
nbreg formPTA_sign l.hege l.lntotPTA l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig if year>=1951 & year<=2005  , r 
est store jcr_32_2

* Column 3 : PTA SQUARED
nbreg formPTA_sign l.hege l.lntotPTA l.lntotPTA_2 l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig postcw if year>=1951 & year<=2005  , r
est store jcr_32_3

* Column 4 - detrend
preserve
*gen totPTA = ln(totPTA_sign)
foreach name of varlist hegemony dGNP demperc_orig  lntotPTA no_ctys_orig {

   reg `name' year if year>=1951 & year<=2005
   if 2*ttail(e(df_r),abs(_b[year]/_se[year])) < 0.05 {
      predict `name'_det if year>=1951 & year<=2005, r
      drop `name'
      rename `name'_det `name'
   }
}
drop lntotPTA_2
gen lntotPTA_2=lntotPTA^2
nbreg formPTA_sign l.hege l.lntotPTA l.lntotPTA_2 l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig year if year>=1951 & year<=2005  , r
est store jcr_32_4
restore

* Column 5 : GATT
nbreg formPTA_sign l.hege l.lntotPTA l.lntotPTA_2 l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig postcw GATTrd lastGATT gattmemb if year>=1951 & year<=2005 , r
est store jcr_32_5

#delim ;
estout jcr_32_1 jcr_32_2 jcr_32_3 jcr_32_4 jcr_32_5 using Ch3tbl32.txt , starlevels(* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par)) mlabels( "" "" "" "" "" "" , numbers)
  order( L.hegemony L.lntotPTA L.dGNP L.formPTA_sign L.demperc_orig L.no_ctys_orig postcw L.lntotPTA_2 year GATTrd lastGATT gattmemb ) 
  stats(N ll chi2 alpha, fmt(%9.0f %9.2f) star(chi2) labels(N Log-Likelihood Chi2 Overdispers )) replace   ;
#delim cr
estimates drop _all



** TABLE 3.3: NBREG: Joining PTAs
* Column 1
nbreg joinPTA_sign l.hege l.lnctyperc l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig postcw if year>=1951 & year<=2005 , r
est store jcr_33_1

* Column 2 : Omitting Cold War
 
nbreg joinPTA_sign l.hege l.lnctyperc l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig if year>=1951 & year<=2005 , r
est store jcr_33_2

* Column 3 : PTA SQUARED
nbreg joinPTA_sign l.hege l.lnctyperc l.lnctyperc_2 l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig postcw if year>=1951 & year<=2005 , r
est store jcr_33_3

* Column 4 - detrend
preserve
foreach name of varlist hegemony dGNP demperc_orig lnctyperc no_ctys_orig  {

   reg `name' year if year>=1951 & year<=2005
   if 2*ttail(e(df_r),abs(_b[year]/_se[year])) < 0.05 {
      predict `name'_det if year>=1951 & year<=2005, r
      drop `name'
      rename `name'_det `name'
   }
}
drop lnctyperc_2
gen lnctyperc_2=lnctyperc^2
nbreg joinPTA_sign l.hege l.lnctyperc l.lnctyperc_2 l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig year if year>=1951 & year<=2005 , r
est store jcr_33_4
restore

* Column 5 : GATT
nbreg joinPTA_sign l.hege l.lnctyperc l.lnctyperc_2 l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig postcw GATTrd lastGATT gattmemb if year>=1951 & year<=2005 , r
est store jcr_33_5

#delim ;
estout jcr_33_1 jcr_33_2 jcr_33_3 jcr_33_4 jcr_33_5 using Ch3tbl33.txt , starlevels(* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par)) mlabels( "" "" "" "" "" "" , numbers)
  order( L.hegemony L.lnctyperc L.dGNP L.joinPTA_sign L.demperc_orig L.no_ctys_orig postcw L.lnctyperc_2 year GATTrd lastGATT gattmemb ) 
  stats(N ll chi2 alpha, fmt(%9.0f %9.2f) star(chi2) labels(N Log-Likelihood Chi2 Overdispers )) replace  ;
#delim cr
estimates drop _all

** SUBSTANTIVE EFFECTS - BASED ON TABLE 3.2, col 1 now

*** FIRST GRAPH: EFFECT OF HEGEMONY WHEN POST-CW = 0

preserve
set seed Xe550e055fdec58b61397ff7b96f310902180
estsimp nbreg formPTA_sign l.hege l.lntotPTA l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig postcw if year>=1951 & year<=2005 ,r

setx mean

tempvar pitemp 
gen heg = .
_pctile demperc if year>=1950 & year<=2004, p(25 50 75)
local val1 = real(substr(string(r(r1)),1,4))
local val2 = real(substr(string(r(r2)),1,4))
local val3 = real(substr(string(r(r3)),1,4))

gen pi = .
gen plo=.
gen phi=. 

local j = 1
forval i = .13(.005).1601 {
replace heg = `i' if _n==`j'
setx postcw 0
setx l.hegemony `i'
*setx l.demperc `val`m''
simqi , genev(`pitemp')
_pctile `pitemp' , p(2.5, 97.5)
replace plo = r(r1) if _n==`j'
replace phi = r(r2) if _n==`j'
summ `pitemp'
replace pi = r(mean) if _n==`j'
local ++j
drop `pitemp'
}

line pi heg , lcolo(black ) ylabel(,angle(0)) xtitle("Hegemony") ytitle("PTAs ratified") legend(size(small)) ylabel(1(1)4) /*
  */  saving(figure32.gph, replace) 

drop pi heg plo* phi*


setx mean
*setx postcw 1
gen dem = .

gen pi = .
tempvar pitemp 
gen plo=.
gen phi=.
local j = 1
forval i = .28(.04).52 {
replace dem = `i' if _n==`j'
setx postcw 0
setx l.demperc_orig `i'
simqi , genev(`pitemp')
_pctile `pitemp' , p(2.5, 97.5)

local val1 = real(substr(string(r(r1)),1,4))
local val2 = real(substr(string(r(r2)),1,4))
local val3 = real(substr(string(r(r3)),1,4))

replace plo = real(substr(string(r(r1)),1,4)) if _n==`j'
replace phi = real(substr(string(r(r2)),1,4)) if _n==`j'

*replace phi = r(r2) if _n==`j'
summ `pitemp'
replace pi = r(mean) if _n==`j'
local ++j
drop `pitemp'
}

line pi dem, lcolo(black ) xtitle("Proportion of democracies in world") ytitle("PTAs ratified") ylabel(,angle(0)) /*
  */legend(size(small)) saving(figure33.gph, replace) xlab(.28(.04).52)

  restore 
  


