clear all

cd "R:\Milner\Milner\regionalism book\results"
cd "chapter5\results"

use ..\..\Data\dyadicdata.dta , clear

*** Table 5.2 
local theory "polconiiiA polity2_04"
local all "llntradenew llnGDP_gled08 ldGDP_gled08V2 lnewgatt ptadum_new llnGDPratio_g"
local atop "larmconflict latopally"
local cow "lally_new ldispute_new"
local regfe "fmrcol_new lndistance lheg_new onsetperc2 lcontig_new pcw89" 
local dyadfe "lheg_new onsetperc2 pcw89"
local spline "nohs2_ptaonsp*_r2"

local mod5 fmrcol_new lcontig_new lndistance lheg_new onsetperc2 pcw89 

eststo: logit nohs_rat2_onset2 `all' `atop' `theory' `regfe' non l c `spline' i.region  , r cl(dyadid)

di "Left gov is about "(exp(_b[l])-1)*100 "% more likely to ratify PTA than Right gov"

 esttab using ch5tbl52.csv, replace /// 
	b(3) se(3) scalars("N N" "N_clust Clusters" "ll Log-likelihood") sfmt(%12.0f %12.0f %12.3f) obslast  ///
	star(* .1 ** .05 *** .01) mtitle("Ch. base model + partisanship") ///
	title(Table 5.2: The Effects of Partisanship on PTA Formation) keep(polity2_04 polconiiiA l c non _cons) ///
	nonumbers nodepvars label order(polity2_04 polconiiiA l c non) 

eststo clear


* Table 5.3 
gen interact=.
lab var interact "Openness X Democracy"
local mod5 llntradenew  llnGDP_gled08 ldGDP_gled08 larmconflict latopally fmrcol_new lcontig_new lndistance lheg_new lnewgatt ptadum_new onsetperc2 pcw89 llnGDPratio_g
* Column 1: Polcon 1950-2005
replace interact = demopen
logit nohs_rat2_onset2 polconiiiA dem17 lopen interact `all' `atop' `regfe' `spline' i.region  , r cl(dyadid)
est store open1
drop interact
gen interact = polopen
logit nohs_rat2_onset2 polconiiiA polity2_04 lopen interact `all' `atop' `regfe' `spline'  i.region  , r cl(dyadid)
est store open2
drop interact

estout open1 open2 using ch5tbl53.txt, replace /// 
	cells(b(star fmt(a3)) se(par fmt(a3))) stats( N_clust ll N, fmt( %9.0f %9.2f %9.0f) labels( Clusters Log-likelihood N ))  ///
	starlevels(* .1 ** .05 *** .01) collabels(none) ///
	title(Table 5.3. openness and interactions with democracy)  ///
	mla("Democracy dummy" "Polity" ) nonumbers  ///
	label order(polconiiiA polity2_04 dem17 lopen interact) keep(polconiiiA polity2_04 dem17  lopen interact ) 

	
	preserve
* n = 31188
set seed 20309
*capture gen polity_vp_new = polity2_04*polconiiiA

keep dyadid year nohs_rat2_onset2 region nohs2_ptaonsp* polconiiiA dem17 lopen demopen llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally fmrcol_new lcontig_new lndistance lheg_new lnewgatt ptadum_new onsetperc2 pcw89 llnGDPratio_g
tab region, gen(_ireg)
qui logit nohs_rat2_onset2 polconiiiA dem17 lopen demopen `all' `atop' `regfe' `spline' _ireg2 _ireg3 _ireg4 _ireg5 _ireg6 _ireg7 _ireg8  , r cl(dyadid)
keep if e(sample)

***INTERACTION BETWEEN POLITY DUMMY AND OPENNESS
gen prob = .
gen probhi = .
gen problo =.
gen dem_val = .
gen double open_val = .

estsimp logit nohs_rat2_onset2 polconiiiA dem17 lopen demopen `all' `atop' `regfe' `spline' _ireg2 _ireg3 _ireg4 _ireg5 _ireg6 _ireg7 _ireg8  , r cl(dyadid)

setx larmconflict 0 latopally 0 fmrcol_new 0 lcontig_new 0 lnewgatt 0 pcw89 1  _ireg2 0 _ireg3 0 _ireg4 0 _ireg5 0 _ireg6 0 _ireg7 0 _ireg8 0 ptadum_new 0
setx llntradenew median llnGDP_gled08 median ldGDP_gled08 median llnGDPratio_g median lndistance median lheg_new median nohs2_ptaonspl_r2 median nohs2_ptaonsp1_r2 median nohs2_ptaonsp2_r2 median nohs2_ptaonsp3_r2 median onsetperc2 median
setx polconiiiA mean

local k = 1 
*local n = 31188
forval i = 18(3)135 {
forval num = 0/1 {
replace dem_val = `num' if _n==`k'
setx lopen `i'
setx dem17 `num' 
setx demopen `i'*`num'
replace open_val = `i' if _n==`k'
simqi, prval(1) genpr(simpr1)
qui summ simpr1 , d
local simpr1 = r(mean)
replace prob = `simpr1' if _n==`k'
replace probhi= r(p95) if _n==`k'
replace problo = r(p5) if _n==`k'
drop simpr1
local k = `k'+1
}
}

  twoway rarea problo probhi open_val if dem_val==0 , bcolor(gs14)  || rarea problo probhi open_val if dem_val==1 , bcolor(gs14) || line  prob open_val if dem_val == 0 , lpattern(dash)|| line  prob open_val if dem_val ==1 , ///  
 ytitle("Probability of ratification") xtitle("Lagged openness") legend(order(3 4) /// 
 label(3 "Democracy = 0") label(4 "Democracy = 1"))  xlabel(18(9)135)  saving(figure52.gph, replace) 
  graph export figure52.eps , replace

 restore
	
* TABLE 5.4 : AUTOCRACIES
local mod5 polconiiiA llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally fmrcol_new lcontig_new lndistance lheg_new lnewgatt ptadum_new onsetperc2 pcw89 llnGDPratio_g

* Column 1:
xi: logit nohs_rat2_onset2 sparty military other democ `mod5' nohs2_ptaonsp*_r2 i.region , r cl(dyadid)
est store autocmod1

test democ = sparty
test democ = military
test democ = other
test sparty=other
test military = other
test sparty = military

* Column 2:
xi: logit nohs_rat2_onset2  democ comp_autoc  anoc `mod5' nohs2_ptaonsp*_r2 i.region if year<=2004 & year>1959, r cl(dyadid)
est store autocmod3

test democ = comp_autoc
test democ = anoc

* Column 3:
xi: logit nohs_rat2_onset2 democ comp_autoc_gandhi /*autoc_gandhi */ anoc `mod5' nohs2_ptaonsp*_r2 i.region if year<=2004, r cl(dyadid)
est store autocmod5

test democ = comp_autoc_gandhi
test democ = anoc

#delim ;
estout autocmod1 autocmod3 autocmod5 using "ch5tbl54.txt" , starlevels(* .1 ** .05 *** .01) cells(b(star fmt(a3)) se(par fmt(%9.3f)))
  stats(N N_clust ll `ttest', fmt( %9.0f %9.2f) labels(N Clusters Log-likelihood )) replace keep(polconiiiA democ  sparty military other comp_autoc noncomp_autoc comp_autoc_gandhi autoc_gandhi anoc)
  label order(polconiiiA democ  sparty military other comp_autoc noncomp_autoc comp_autoc_gandhi autoc_gandhi anoc) ;
#delim cr	
	
	
* Table 5.5
	
replace type2_rat2 = 0 if nohs_rat2_onset2==0

local mod5  polconiiiA polity2_04 llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally fmrcol_new lcontig_new lndistance lheg_new lnewgatt ptadum_new onsetperc2 pcw89 llnGDPratio_g

* Column 1: No interactions
xi: oprobit type2_rat2  `all' `atop' `theory' `regfe'  i.region  , r cl(dyadid)
est store type1

recode type2_rat2 (0 = 0) (1=1) (2=2) (3/5 = 3) , gen(ml_type_rat2)
xi: mlogit ml_type_rat2  `all' `atop' `theory' `regfe'  i.region  , r cl(dyadid)
est store type3
di "One unit increase in VPs makes probab of CU/CM/EU " exp(-1.019) " as likely as no agreement"
#delim ;
estout type1  type3 using "ch5tbl55.txt" , starlevels(* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))
  label keep(polconiiiA checks polity2_04 )stats(N N_clust ll , fmt( %9.0f %9.2f) labels(N Clusters Log-likelihood ))
  replace order(polconiiiA checks polity2_04 ) ;
#delim cr

** Table 5.6

recode type2_rat2 (0=.) (1/2=0) (3/5=1), gen(newtype)
local mod5  polconiiiA polity2_04 llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally fmrcol_new lcontig_new lndistance lheg_new lnewgatt ptadum_new onsetperc2 pcw89 llnGDPratio_g /*1st stage vars */

local mod5_2_2 polconiiiA polity2_04 llnGDP_gled08 ldGDP_gled08 llntradenew lnewgatt larmconflict latopally ptadum_new pcw89 llnGDPratio_g  /*2nd stage vars */

heckprob newtype `mod5_2_2' i.region, select(nohs_rat2_onset2=`mod5' nohs2_ptaonsp*_r2 i.region) cl(dyadid) first
est store tab56
#delim ;
estout tab56   using "ch5tbl56.txt" , starlevels(* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))
  drop(nohs_rat2_onset2: nohs2* 1b.region) stats(N_clust ll N , fmt( %9.0f %9.2f  %9.0f) labels( Clusters Log-likelihood N)) label
  replace order(polity2_04 polconiiiA ptadum_new llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally pcw89 llnGDPratio_g
  lnewgatt) varlabel(2.region "South Asia" 3.region "Middle East & North Africa" 4.region "Sub-Saharan Africa" 5.region "Europe & Central Asia" /// 
		6.region "Latin America & Carib." 7.region "North/Central America" 8.region "Western Europe") ;
#delim cr

* Table 5.7 


gen dsm_dicht_new=dsm_dicht
replace dsm_dicht_new=. if nohs_rat2_onset2~=1 | dsm_dicht==-99

local mod5  polconiiiA polity2_04 llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally fmrcol_new lcontig_new lndistance lheg_new lnewgatt ptadum_new onsetperc2 pcw89 llnGDPratio_g /*1st stage vars */
local mod5_2_2 polconiiiA polity2_04 llntradenew larmconflict latopally lnewgatt  ptadum_new pcw89 llnGDPratio_g  /*2nd stage vars */

heckprob dsm_dicht_new `mod5_2_2', select(nohs_rat2_onset2=`mod5' nohs2_ptaonsp*_r2 i.region) cl(dyadid) first
est store tab57_1
local mod5_2_2 polconiiiA polity2_04 llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally lnewgatt  ptadum_new pcw89 llnGDPratio_g  /*2nd stage vars */

heckprob dsm_dicht_new `mod5_2_2', select(nohs_rat2_onset2=`mod5' nohs2_ptaonsp*_r2 i.region) cl(dyadid) first
est store tab57_2
#delim ;
estout tab57_1 tab57_2   using "ch5tbl57.txt" , starlevels(* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))
  drop(nohs_rat2_onset2: *region nohs2*) stats(N N_clust ll , fmt( %9.0f %9.2f) labels(N Clusters Log-likelihood )) label
  replace order(polity2_04 polconiiiA ptadum_new llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally pcw89 llnGDPratio_g
  lnewgatt)  ;
#delim cr


