cd "R:\Milner\Milner\regionalism book\results\chapter5\results"
use ..\..\Data\ch5_delay.dta, clear


**********************************************************
***********************  KM GRAPHS  **********************
**********************************************************

sts graph, tmax(6) ylabel(0(.1)1, format(%8.1f) angle(0)) xlabel(0(1)6)  ///
 l1title("Proportion of PTAs Not Ratified", size(small)) saving("figure53.gph", replace) ///
 xtitle("Time Since Signing (years)", size(small))


sts graph, by(ratsign_dpolconiii) plot2opts(lpattern(dash)) plot3opts(lpattern(shortdash_dot)) surv tmax(6) xlabel(0(1)6) ///
  l1title("Proportion of PTAs Not Ratified", size(small)) ///
  saving("figure54.gph", replace) ///
  legend(label(1 "- Net Change") label(2 "No Net Change") title("") subtitle("") ///
  label(3 "+ Net Change"))  xtitle("Time Since Signing (years)", size(small)) 
 
************************************************
******************* LLog Models ****************
************************************************


*Col 1
streg polconiii_d1_perc, d(llog) cluster(ccode1)
est store tab58_1
*Col 2
streg polconiii_d1_perc polity2, d(llog) cluster(ccode1)
est store tab58_2

*Col 3
streg polconiii_d1_perc polconiii_ratif2 polity2, d(llog) cluster(ccode1)
est store tab58_3
*Col 4
streg polconiii_d1_perc polconiii_ratif2 polity2 type2 type3 type4 type5, d(llog) cluster(ccode1)
est store tab58_4


estout tab58_1 tab58_2 tab58_3 tab58_4 using ch5tbl58.txt, replace cells(b (star fmt(%9.3f)) se(par fmt(%9.3f))) ///
 stats(N N_clust N_sub ll, fmt(%9.0f %9.0f %9.0f %9.3f) label(N Countries "Country-Agmt" "Log Likelihood"))  ///
 starlevels(* 0.10 ** 0.05 *** 0.01)


 
 

