
cd "R:\Milner\Milner\regionalism book\results"
cd "chapter3\results\"

use ..\..\Data\chapter3data.dta , clear

*** TABLE 3.2:  Poisson not appropriate
* Column 1
qui poisson formPTA_sign l.hege l.lntotPTA l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig postcw if year>=1951 & year<=2005 ,r

estat gof

* Column 2 : Omitting Cold War
qui poisson formPTA_sign joinPTA_sign l.hege l.lntotPTA l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig if year>=1951 & year<=2005  , r 
estat gof

* Column 3 : PTA SQUARED
qui poisson formPTA_sign l.hege l.lntotPTA l.lntotPTA_2 l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig postcw if year>=1951 & year<=2005  , r
estat gof

* Column 4 - detrend
preserve
*gen totPTA = ln(totPTA_sign)
qui foreach name of varlist hegemony dGNP demperc_orig  lntotPTA no_ctys_orig  {

   reg `name' year if year>=1951 & year<=2005
   if 2*ttail(e(df_r),abs(_b[year]/_se[year])) < 0.05 {
      predict `name'_det if year>=1951 & year<=2005, r
      drop `name'
      rename `name'_det `name'
   }
}
qui drop lntotPTA_2
qui gen lntotPTA_2 = lntotPTA^2
qui poisson formPTA_sign l.hege l.lntotPTA l.lntotPTA_2 l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig year if year>=1951 & year<=2005  , r
estat gof
restore

* Column 5 : GATT
qui poisson formPTA_sign l.hege l.lntotPTA l.lntotPTA_2 l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig postcw GATTrd lastGATT gattmemb if year>=1951 & year<=2005 , r
estat gof

** TABLE 3.3: Poisson not appropriate
* Column 1
qui poisson joinPTA_sign l.hege l.lnctyperc l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig postcw if year>=1951 & year<=2005 , r
estat gof

* Column 2 : Omitting Cold War
 
qui poisson joinPTA_sign l.hege l.lnctyperc l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig if year>=1951 & year<=2005 , r
estat gof

* Column 3 : PTA SQUARED
qui poisson joinPTA_sign l.hege l.lnctyperc l.lnctyperc_2 l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig postcw if year>=1951 & year<=2005 , r
estat gof

* Column 4 - detrend
preserve
qui foreach name of varlist hegemony dGNP demperc_orig lnctyperc no_ctys_orig {

   reg `name' year if year>=1951 & year<=2005
   if 2*ttail(e(df_r),abs(_b[year]/_se[year])) < 0.05 {
      predict `name'_det if year>=1951 & year<=2005, r
      drop `name'
      rename `name'_det `name'
   }
}
qui drop lnctyperc_2
qui gen lnctyperc_2=lnctyperc^2
qui poisson joinPTA_sign l.hege l.lnctyperc l.lnctyperc_2 l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig year if year>=1951 & year<=2005 , r
estat gof
restore

* Column 5 : GATT
qui poisson joinPTA_sign l.hege l.lnctyperc l.lnctyperc_2 l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig postcw GATTrd lastGATT gattmemb if year>=1951 & year<=2005 , r
estat gof


  *** ROBUSTNESS CHECKS
  *** US PTAs 
    
** TABLE 3.2: PTA FORMATION: # of countries
* Column 1
nbreg formPTA_sign l.hege l.lntotPTA l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig postcw l.uspta  if year>=1951 & year<=2005 ,r

* Column 2 : Omitting Cold War
nbreg formPTA_sign l.hege l.lntotPTA l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig l.uspta if year>=1951 & year<=2005  , r 

* Column 5 : GATT
nbreg formPTA_sign l.hege l.lntotPTA l.lntotPTA_2 l.dGNP l.formPTA_sign l.demperc_orig l.no_ctys_orig postcw GATTrd lastGATT gattmemb l.uspta if year>=1951 & year<=2005 , r


** TABLE 3.3: NBREG: Joining PTAs
* Column 1
nbreg joinPTA_sign l.hege l.lnctyperc l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig postcw l.uspta if year>=1951 & year<=2005 , r


* Column 2 : Omitting Cold War
 
nbreg joinPTA_sign l.hege l.lnctyperc l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig l.uspta if year>=1951 & year<=2005 , r


* Column 3 : PTA SQUARED
nbreg joinPTA_sign l.hege l.lnctyperc l.lnctyperc_2 l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig postcw l.uspta if year>=1951 & year<=2005 , r


* Column 4 - detrend
preserve
foreach name of varlist hegemony dGNP demperc_orig lnctyperc no_ctys_orig uspta  {

   reg `name' year if year>=1951 & year<=2005
   if 2*ttail(e(df_r),abs(_b[year]/_se[year])) < 0.05 {
      predict `name'_det if year>=1951 & year<=2005, r
      drop `name'
      rename `name'_det `name'
   }
}
drop lnctyperc_2
gen lnctyperc_2=lnctyperc^2
nbreg joinPTA_sign l.hege l.lnctyperc l.lnctyperc_2 l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig year l.uspta if year>=1951 & year<=2005 , r

restore

* Column 5 : GATT
nbreg joinPTA_sign l.hege l.lnctyperc l.lnctyperc_2 l.dGNP l.joinPTA_sign l.demperc_orig l.no_ctys_orig postcw GATTrd lastGATT gattmemb l.uspta if year>=1951 & year<=2005 , r

