
cd "R:\Milner\Milner\regionalism book\results"
cd "chapter4\results"

clear all
macro drop _all
set mem 600m
use ..\..\Data\dyadicdata.dta

*  set all locals.
local theory "polconiiiA polity2_04"
local all "llntradenew llnGDP_gled08 ldGDP_gled08V2 lnewgatt ptadum_new llnGDPratio_g"
local atop "larmconflict latopally"
local cow "lally_new ldispute_new"
local regfe "fmrcol_new lndistance lheg_new onsetperc2 lcontig_new pcw89" 
local dyadfe "lheg_new onsetperc2 pcw89"
local spline "nohs2_ptaonsp*_r2"

// Contagion effect - dropping trade alliance and distance
// p. 119

eststo : logit nohs_rat2_onset2 polconiiiA polity2_04 llnGDP_gled08 ldGDP_gled08V2 lnewgatt ptadum_new llnGDPratio_g ///
  larmconflict fmrcol_new  lheg_new onsetperc2 lcontig_new pcw89 lcontagion lcontag_2  nohs2_ptaonsp*_r2 i.region if ptadum_new==0 , r cl(dyadid)


 logit nohs_rat2_onset2 `theory' `all' `atop' `regfe' `spline' i.region , vce(cl dyadid)
 gen sample = e(sample)

 *** PolconV rather than polconiii
 
 preserve
*  col 1: base model (polcon 1950-2005)
logit nohs_rat2_onset2 polconvA polity2_04 `all' `atop' `regfe' `spline' i.region , vce(cl dyadid)

*  col 2: dyadFE
xtlogit nohs_rat2_onset2 polconvA polity2_04 `all' `atop' `dyadfe' , fe


*  col 3: dyadyrFE
 xtlogit nohs_rat2_onset2 polconvA polity2_04 `all' `atop'  i.year , fe

*  col 4: base model (polcon 1950-2005), `theory' vars also t-1

	*  create tmp lag theory vars for tbl output
	qui clonevar tmppolconvA = polconvA
	qui clonevar tmppolity2_04 = polity2_04
	qui replace polconvA = l.tmppolconvA
	qui replace polity2_04 = l.tmppolity2_04

logit nohs_rat2_onset2 polconvA polity2_04 `all' `atop' `regfe' `spline' i.region , vce(cl dyadid)
	drop polconvA polity2_04
	renvars tmppolconvA tmppolity2_04 , predrop(3)

*  col 5: base model (polcon 1950-2001)
logit nohs_rat2_onset2 polconvA polity2_04 `all' `cow' `regfe' `spline' i.region , vce(cl dyadid)
restore
 
 
 *** INTERACTION BETWEEN POLITY AND VPs
 gen polvp = polconiiiA*polity2_04
 logit nohs_rat2_onset2 polvp `theory' `all' `atop' `regfe' `spline' i.region , vce(cl dyadid)
 
 
*** POLITY BUT NOT VPs
xi: logit nohs_rat2_onset2 polity2_04 `all' `atop' `regfe' `spline' i.region if sample , vce(cl dyadid)

** VPs BUT NOT POLITY
xi: logit nohs_rat2_onset2 polconiiiA `all' `atop' `regfe' `spline' i.region if sample , vce(cl dyadid)


*** Excluding each country in baseline model

log using ctyexcl.log , replace
qui {
levelsof ccode1 if sample==1 , local(c)
foreach i of local c {
nois di "Excluding VPs"
xi: logit nohs_rat2_onset2 polity2_04 `all' `atop' `regfe' `spline' i.region if ccode1~=`i' & sample==1 , vce(cl dyadid)
nois di "When ccode `i' & VPs excluded, polity = " _b[polity2_04] " with a Z-score of " _b[polity2_04]/_se[polity2_04] " and a significance level of " 2*ttail(e(N),abs(_b[polity2_04]/_se[polity2_04])) 
nois di " " 
nois di "Excluding Polity"
xi: logit nohs_rat2_onset2 polconiiiA `all' `atop' `regfe' `spline' i.region if ccode1~=`i' & sample==1, vce(cl dyadid)
nois di "When ccode `i' & Polity excluded, polcon = " _b[polconiiiA] " with a Z-score of " _b[polconiiiA]/_se[polconiiiA] " and a significance level of " 2*ttail(e(N),abs(_b[polconiiiA]/_se[polconiiiA])) 
nois di " "
}
}
log close 
drop sample



*** CONTAGION (p. 166)

local theory "polconiiiA polity2_04"
local spline "nohs2_ptaonsp*_r2"
local allnew "llnGDP_gled08 ldGDP_gled08V2 lnewgatt ptadum_new llnGDPratio_g larmconflict fmrcol_new lheg_new onsetperc2 lcontig_new pcw89"
logit nohs_rat2_onset2 `theory' `allnew' lcontagion lcontag_2  `spline' i.region if ptadum_new==0 , r cl(dyadid)






*** POAST K-ADIC METHOD
use ..\kad_poast.dta , clear
relogit pta gattperc minpolity maxvp  heg_gled gdpratio  lcontig fmrcol_new  lndist armconflict  llntrade pcw89 maxgdp allyperc [pweight=ipweight] , 

relogit pta gattperc minpolity maxvp  heg_gled gdpratio  lcontig fmrcol_new ptadum lndist armconflict onsetperc2 llntrade pcw89 maxgdp allyperc [pweight=ipweight] , 

