
clear all

cd "R:\Milner\Milner\regionalism book\results"
cd "chapter5\results"

use ..\..\Data\dyadicdata.dta , clear

*** Table 5.2 
local theory "polconiiiA polity2_04"
local all "llntradenew llnGDP_gled08 ldGDP_gled08V2 lnewgatt ptadum_new llnGDPratio_g"
local atop "larmconflict latopally"
local cow "lally_new ldispute_new"
local regfe "fmrcol_new lndistance lheg_new onsetperc2 lcontig_new pcw89" 
local dyadfe "lheg_new onsetperc2 pcw89"
local spline "nohs2_ptaonsp*_r2"

*** ROBUSTNESS
** VP * OPENNESS (CHAPTER 5, FN 8)
preserve
gen vpopen = polconiiiA*lopen

local all "llntradenew llnGDP_gled08 ldGDP_gled08V2 lnewgatt ptadum_new llnGDPratio_g"
local atop "larmconflict latopally"
local regfe "fmrcol_new lndistance lheg_new onsetperc2 lcontig_new pcw89" 
local spline "nohs2_ptaonsp*_r2"


set seed 20309

keep dyadid year nohs_rat2_onset2 vpopen region nohs2_ptaonsp* polconiiiA polity2_04 dem17 lopen demopen llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally fmrcol_new lcontig_new lndistance lheg_new lnewgatt ptadum_new onsetperc2 pcw89 llnGDPratio_g
tab region, gen(_ireg)
logit nohs_rat2_onset2 polconiiiA polity2_04 lopen vpopen `all' `atop' `regfe' `spline' _ireg2 _ireg3 _ireg4 _ireg5 _ireg6 _ireg7 _ireg8  , r cl(dyadid)
keep if e(sample)

gen prob = .
gen probhi = .
gen problo =.
gen vp_val = .
gen double open_val = .

estsimp logit nohs_rat2_onset2 polconiiiA polity2_04 lopen vpopen `all' `atop' `regfe' `spline' _ireg2 _ireg3 _ireg4 _ireg5 _ireg6 _ireg7 _ireg8  , r cl(dyadid)

setx larmconflict 0 latopally 0 fmrcol_new 0 lcontig_new 0 lnewgatt 0 pcw89 1  _ireg2 0 _ireg3 0 _ireg4 0 _ireg5 0 _ireg6 0 _ireg7 0 _ireg8 0 ptadum_new 0
setx llntradenew median llnGDP_gled08 median ldGDP_gled08 median llnGDPratio_g median lndistance median lheg_new median nohs2_ptaonspl_r2 median nohs2_ptaonsp1_r2 median nohs2_ptaonsp2_r2 median nohs2_ptaonsp3_r2 median onsetperc2 median
setx polity2_04 mean

local k = 1 
foreach num of numlist 0 .7 {
forval i = 18(3)135 {
replace vp_val = `num' if _n==`k'
setx lopen `i'
setx polconiiiA `num' 
setx vpopen `i'*`num'
replace open_val = `i' if _n==`k'
simqi, prval(1) genpr(simpr1)
qui summ simpr1 , d
local simpr1 = r(mean)
replace prob = `simpr1' if _n==`k'
replace probhi= r(p95) if _n==`k'
replace problo = r(p5) if _n==`k'
drop simpr1
local k = `k'+1
}
}

  twoway rarea problo probhi open_val if vp_val==0 , bcolor(gs14)  || rarea problo probhi open_val if vp_val>=.69 & vp_val<=.71 , bcolor(gs14) || line  prob open_val if vp_val == 0 || line  prob open_val if vp_val>=.69 & vp_val<=.71 , ///  
 ytitle("Probability of ratification") xtitle("Lagged openness") legend(order(3 4) /// 
 label(3 "VP = 0") label(4 "VP = .7"))  xlabel(18(9)135)   
restore  


*** AUTOCRACIES AND DSMs

** DSMs - Nelda
local mod5  polconiiiA llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally fmrcol_new lcontig_new lndistance lheg_new lnewgatt ptadum_new onsetperc2 pcw89 llnGDPratio_g /*1st stage vars */
local mod5_2_2 polconiiiA  llntradenew larmconflict latopally lnewgatt  ptadum_new pcw89 llnGDPratio_g  /*2nd stage vars */

heckprob dsm_dicht_new `mod5_2_2' democ comp_autoc /*autoc*/ anoc if year<=2004 & year>1959, select(nohs_rat2_onset2=`mod5' democ comp_autoc /*autoc*/ anoc nohs2_ptaonsp*_r2 i.region ) cl(dyadid) first
est store tab57_1
local mod5_2_2 polconiiiA llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally lnewgatt  ptadum_new pcw89 llnGDPratio_g  /*2nd stage vars */

heckprob dsm_dicht_new `mod5_2_2' democ comp_autoc /*autoc*/ anoc if year<=2004 & year>1959, select(nohs_rat2_onset2=`mod5' democ comp_autoc /*autoc*/ anoc nohs2_ptaonsp*_r2 i.region ) cl(dyadid) first

** DSMs - Gandhi
local mod5  polconiiiA llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally fmrcol_new lcontig_new lndistance lheg_new lnewgatt ptadum_new onsetperc2 pcw89 llnGDPratio_g /*1st stage vars */
local mod5_2_2 polconiiiA  llntradenew larmconflict latopally lnewgatt  ptadum_new pcw89 llnGDPratio_g  /*2nd stage vars */

heckprob dsm_dicht_new `mod5_2_2' democ comp_autoc_gandhi /*autoc*/ anoc, select(nohs_rat2_onset2=`mod5' democ comp_autoc_gandhi /*autoc*/ anoc nohs2_ptaonsp*_r2 i.region) cl(dyadid) first
est store tab57_1
local mod5_2_2 polconiiiA llntradenew llnGDP_gled08 ldGDP_gled08 larmconflict latopally lnewgatt  ptadum_new pcw89 llnGDPratio_g  /*2nd stage vars */

heckprob dsm_dicht_new `mod5_2_2' democ comp_autoc_gandhi /*autoc*/ anoc, select(nohs_rat2_onset2=`mod5' democ comp_autoc_gandhi /*autoc*/ anoc nohs2_ptaonsp*_r2 i.region) cl(dyadid) first



cd "R:\Milner\Milner\regionalism book\results\chapter5\results"
use ..\..\Data\ch5_delay.dta, clear

************************************************
**********************AIC TEST******************
*** REFERENCED BUT RESULTS NOT REPORTED IN MS **
************************************************


local vars ratsign_diff_polconiii2 ratsign_diff_checks2 ratsign_diff_polconiii2_perc ratsign_diff_checks2_perc polconiii_d1 checks_d1 polconiii_d1_perc checks_d1_perc

qui forval i=1/8 {
foreach d in exp weib gomp loglogistic lognormal {
local x: word `i' of `vars'
streg `x', di(`d')
estat ic
mat diag = r(S)
scalar aic = diag[1,5]
nois di "`x' dist(`d') "  aic
}
nois di " "
}


qui forval i=1/8 {
foreach d in exp weib gomp loglogistic lognormal {
local x: word `i' of `vars'
qui streg `x' polity2, di(`d')
estat ic
mat diag = r(S)
scalar aic = diag[1,5]
nois di "`x' dist(`d') with Polity " aic
nois di " " 
qui streg `x' polity2 polconiii_ratif2, di(`d')

estat ic
mat diag = r(S)
scalar aic = diag[1,5]
nois di "`x' dist(`d') with Polity and polcon ratif " aic
}
nois di " " 
}


************************************************
**NOTE: lowest AIC score indicates best fit for survival analysis distribution
**Log-Logistic has the lowest AIC
************************************************


 *** ROBUSTNESS CHECKS
 ** CHANGE IN POLCON FROM SIGNING TO RATIFICATION

*Col 1
streg  ratsign_diff_polconiii2_perc, d(llog) cluster(ccode1)

*Col 2
streg  ratsign_diff_polconiii2_perc polity2, d(llog) cluster(ccode1)


*Col 3
streg  ratsign_diff_polconiii2_perc polconiii_ratif2 polity2, d(llog) cluster(ccode1)

*Col 4
streg  ratsign_diff_polconiii2_perc polconiii_ratif2 polity2 type2 type3 type4 type5, d(llog) cluster(ccode1)
